The Riverside.fm iOS app requires iOS version 13.0 or newer.

This can be installed on both iPhones and iPod Touch. iPad support will be released shortly.

We also having at least 5gbs of storage available.

Did this answer your question?